% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/glue_operations.R
\name{glue_update_workflow}
\alias{glue_update_workflow}
\title{Updates an existing workflow}
\usage{
glue_update_workflow(Name, Description, DefaultRunProperties,
  MaxConcurrentRuns)
}
\arguments{
\item{Name}{[required] Name of the workflow to be updated.}

\item{Description}{The description of the workflow.}

\item{DefaultRunProperties}{A collection of properties to be used as part of each execution of the
workflow.}

\item{MaxConcurrentRuns}{You can use this parameter to prevent unwanted multiple updates to data,
to control costs, or in some cases, to prevent exceeding the maximum
number of concurrent runs of any of the component jobs. If you leave
this parameter blank, there is no limit to the number of concurrent
workflow runs.}
}
\value{
A list with the following syntax:\preformatted{list(
  Name = "string"
)
}
}
\description{
Updates an existing workflow.
}
\section{Request syntax}{
\preformatted{svc$update_workflow(
  Name = "string",
  Description = "string",
  DefaultRunProperties = list(
    "string"
  ),
  MaxConcurrentRuns = 123
)
}
}

\keyword{internal}
