% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kinesisanalyticsv2_operations.R
\name{kinesisanalyticsv2_delete_application_reference_data_source}
\alias{kinesisanalyticsv2_delete_application_reference_data_source}
\title{Deletes a reference data source configuration from the specified
SQL-based Kinesis Data Analytics application's configuration}
\usage{
kinesisanalyticsv2_delete_application_reference_data_source(
  ApplicationName, CurrentApplicationVersionId, ReferenceId)
}
\arguments{
\item{ApplicationName}{[required] The name of an existing application.}

\item{CurrentApplicationVersionId}{[required] The current application version. You can use the
\code{\link[=kinesisanalyticsv2_describe_application]{describe_application}}
operation to get the current application version. If the version
specified is not the current version, the
\code{ConcurrentModificationException} is returned.}

\item{ReferenceId}{[required] The ID of the reference data source. When you add a reference data
source to your application using the
\code{\link[=kinesisanalyticsv2_add_application_reference_data_source]{add_application_reference_data_source}},
Kinesis Data Analytics assigns an ID. You can use the
\code{\link[=kinesisanalyticsv2_describe_application]{describe_application}}
operation to get the reference ID.}
}
\value{
A list with the following syntax:\preformatted{list(
  ApplicationARN = "string",
  ApplicationVersionId = 123
)
}
}
\description{
Deletes a reference data source configuration from the specified
SQL-based Kinesis Data Analytics application's configuration.

If the application is running, Kinesis Data Analytics immediately
removes the in-application table that you created using the
\code{\link[=kinesisanalyticsv2_add_application_reference_data_source]{add_application_reference_data_source}}
operation.
}
\section{Request syntax}{
\preformatted{svc$delete_application_reference_data_source(
  ApplicationName = "string",
  CurrentApplicationVersionId = 123,
  ReferenceId = "string"
)
}
}

\keyword{internal}
